<template>
  <div class="echart1_box">
    <div>
      <el-select v-model="model" placeholder="" @change="getEchartsDta">
        <el-option v-for="item in options" :key="item.value" :label="item.label" :value="item.value">
        </el-option>
      </el-select>
    </div>
    <div class="echart">
      <div id="echart1"> </div>
    </div>
  </div>
</template>

<script>
import {
  zhangzitou_selectInfos
} from '../api/api.js'
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      chartData: [],
      siteOption: [],
      model: null,
      options: [],
    };
  },
  mounted() {
    this.initChart();
  },
  //方法集合
  methods: {
    async initChart() {
      const data = await zhangzitou_selectInfos();
      if (data.code != 200) return;
      if (this.siteOption.length <= 0) {
        var std = [];
        for (var i in data.result) {
          var val = data.result[i]
          if (std.indexOf(val.line) == -1) {
            std.push(val.line)
          }

        }
      }
      var str = [];
      for (var i in std) {
        str.push({
          label: std[i],
          value: std[i]
        })
      }
      this.options = str;
      this.model = this.options[0].value
      this.getEchartsDta();
    },
    async getEchartsDta() {
      const data = await zhangzitou_selectInfos({ line: this.model });
      if (data.code != 200) return;
      var std =[];
      for(var i in data.result){
        var val = data.result[i]
        std.push(
          { value: val.count, name: val.type },
        )
      }
      this.lineChart(std)
    },







    lineChart(res) {
      let option = {
        title: {

          left: 'center'
        },
        tooltip: {
          trigger: 'item'
        },
        legend: {
          orient: 'vertical',
          left: 'left'
        },
        series: [
          {
            name:  this.model,
            type: 'pie',
            radius: '50%',
            data:  res,
            emphasis: {
              itemStyle: {
                shadowBlur: 10,
                shadowOffsetX: 0,
                shadowColor: 'rgba(0, 0, 0, 0.5)'
              }
            }
          }
        ]
      };
      let myChart = this.$echarts.init(document.getElementById("echart1"));
      myChart.setOption(option);
      window.addEventListener("resize", function () {
        myChart.resize();
      });
    },
  },
  created() { },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.echart1_box {
  width: 100%;
  height: 100%;
  // position: absolute;
}

.echart {
  position: relative;
  width: 100%;
  margin-top: 5px;
  height: calc(100% - 50px);
//  background: skyblue;
 #echart1{
  width: 100%;
  height: 100%;
 }
}
</style>
